RUN-PARTS(8)

NAME
run-parts - run scripts or programs in a directory

SYNOPSIS
run-parts [--version] [--help] [--test] [--umask=umask] [--verbose] [--] directory

DESCRIPTION

run-parts runs a number of scripts or programs found in a single directory directory. Filenames should consist entirely of upper and lower case letters, digits, underscores and hyphens. Directories and files with other names will be silently ignored. Scripts must follow the #!/bin/interpretername convention in order to be executed. They will not automatically be executed by /bin/sh. The files found will be run in the lexical sort order of the filenames.

  OPTIONS

--umask=umask
    Sets the umask to umask before running the scripts. umask should be specified in octal. By default the umask is set to 022.

--  Specifies that this is the end of the options. Any filename after -- will be not be interpreted as an option even if it starts with a hyphen.

--help
    Causes run-parts to display its usage information and exit.

--version
    Causes run-parts to display its version and copyright information and exit.

--test
    Enables test mode, in which run-parts merely displays messages about the scripts to be run, rather than actually running them.

--verbose
    Causes run-parts to print the name of each script to stderr before running it.

COPYRIGHT
Manual page & run-parts 0.2 Copyright 1994, Ian Jackson. Manual page & run-parts 0.3+ Copyright 1996, Jeff Noxon. run-parts is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.